#version 330


uniform sampler2DRect inputTex;
uniform sampler2DRect maskTex;

layout (location=0) in vec3 vsPosition;
layout (location=1) in vec2 vsTexture;
layout (location=2) in vec2 vsMask;

out vec2 fsTexture;
out vec2 fsMask;

void main()
{
    gl_Position=vec4(vsPosition.x,vsPosition.y,vsPosition.z,1.0);

    ivec2 textureSize2d;
    textureSize2d=textureSize(inputTex);
    fsTexture = vsTexture*vec2(textureSize2d);

    textureSize2d=textureSize(maskTex);
    fsMask = vsMask*vec2(textureSize2d);
}
